Subject: Metal spinning - what adhesive?

From: [email-masked]
Date: Wed, 1 Mar 95 19:21:58 -0500

How best to secure 6-inch disk of brass about 0.022 inch thick to turned
hardwood form for metal spinning in the lathe?  I use a short 'pusher'
block under pressure from the tailstock, but can't seem to get enough
friction between the form and the metal to help.  I've heard about
melted beeswax also asphalt.  Any great ideas? Thanks in advance. Dave